Manjaro Linux -Forum Italiano-

Problemi pidgin

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Tony

  • **
  • 57
  • LinManjaro 16.10.3CPU: Dual core Intel Atom N570
Problemi pidgin
« il: Maggio 15, 2017, 12:00:48 am »
Buonasera a tutti.

Da l'altro ieri - in cui c' stato un aggiornamento di circa 1 Gb - forse sar un caso o una coincidenza, pidgin ha iniziato ad avere problemi.
Avevo iniziato a configurare Pidgin qualche giorno fa, iniziando con Telegram e Facebook che hanno funzionato subito... ma oggi, quando ho di nuovo lanciato Pidgin, Telegram non andava!
Andando a cercare la causa ho scoperto, che manca del tutto il protocollo di telegram (vedere screenshot) che prima invece era presente, con la sua icona con la lettera t.
Ho cercato su internet a lungo ma non ho trovato nulla di simile, come problematica.

Ho solo trovato questa pagina
https://aur.archlinux.org/packages/telegram-purple/
dove - almeno per quanto posso aver capito - nei commenti (al solito in inglese) forse si parla di qualche problematica

Visto che l si parlava della libreria telegram-purple sono andato a controllare, ma come indicato nello screenshot, c' ed la versione 1.3.0-1, ma visto che la pagina linkata prima fa riferimento alla versione 1.3.1-2, ho lanciato yaourt con questo risultato finale 
Codice: [Seleziona]
yaourt telegram-purple
1 community/telegram-purple 1.3.0-1 [installed]
    Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple
    based messengers.
2 aur/telegram-purple 1.3.1-2 [installed: 1.3.0-1] (111) (4,84)
    Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple
    based messengers.
3 aur/telegram-purple-dev-git v1.3.0.r26.gf45ed45-1 (1) (0,00)
    Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple
    based messengers. (1.4.0 development branch)
4 aur/telegram-purple-git v1.2.5.r0.gdf29bbc-1 (Out of Date) (41) (0,03)
    Adds support for Telegram to Pidgin, Adium, Finch and other Libpurple
    based messengers.
==> Inserisci il numero dei pacchetti da installare (ex: 1 2 3 o 1-3)
==> -----------------------------------------------------------------
==> 2


==> Scaricamento del PKGBUILD di telegram-purple da AUR...
x .SRCINFO
x PKGBUILD
Ghul commented on 2017-05-02 08:28
telegram protocol isn't detected now be libpurple, it's reported as unknown both by pidgin and bitlbee

vasya commented on 2017-05-02 08:34
@Ghul, I had this problem, too. Re-compiling the latest development version helped though. (The non-development version might work as well, I'm just saying how it was for me.)

Ghul commented on 2017-05-02 09:58
@vasya I switched to dev package, it builds 1.4.0 and protocol works fine now thnx

jevv commented on 2017-05-03 02:09
There's no need to move to development version, neither git version.  Just re-building works fine.

Perhaps the upgrade of libwebp (0.5.2-1 - 0.6.0-1) affected telegram-purple:

% ldd /usr/lib/purple-2/telegram-purple.so | grep libwebp
libwebp.so.7 = /usr/lib/libwebp.so.7 (0x00007fc2fc991000)

Perhaps a new AUR release (*-2) might automate a rebuild for those unaware...

BTW, if using the other versions, the same should have happened, :-)

wzyboy commented on 2017-05-03 05:27
@jevv Thanks. I've bumped pkgrel.

telegram-purple 1.3.1-2  (2017-05-03 05:26)
( Pacchetto non supportato: Potenzialmente pericoloso! )
==> Modificare PKGBUILD  [S/n] ("A" per annullare)
==> ----------------------------------------------
==> s

Aggiungi $VISUAL alle tue variabili d'ambiente
per esempio:
export VISUAL="vim" (in ~/.bashrc)
(sostituisci vim con il tuo editor preferito)

==> Modifica PKGBUILD con: 

ma non sono riuscito ad andare avanti, non comprendendo l'indicazione finale.

Ho anche disinstallato e reinstallato Pidgin, ma niente da fare: il protocollo di telegram non c' pi!!

A quel punto ho iniziato a configurare anche Skype, che per a sua volta, nonostante ci sia un protocollo con tale nome (ma leggendo su internet pare che ci siano pi protocolli disponibili e non tutti funzionanti... forse sar il mio caso?), non funziona e mi chiede sempre di riabilitare, senza per andare a buon fine!!

Spero che qualcuno usi questa piattaforma e abbia pi esperienza di me!
Grazie!
« Ultima modifica: Maggio 15, 2017, 12:03:33 am da Tony »
Netbook Asus Pc Eee 1215 P - Kernel Linux 4.4.63-1 - Manjaro xfce 16.10.3 64 bit - CPU:  Dual core Intel Atom N570 cache: 512 KB - clock speeds: min/max: 1000/1667 MHz- 2 Gb Ram - scheda video integrata

Ste74

  • *****
  • 775
  • sudo pacman -Rs windows && sudo pacman -S manjaro
    • Manjaro Italia
Re:Problemi pidgin
« Risposta #1 il: Maggio 15, 2017, 07:32:10 am »
Ciao, per prima cosa rimuovi la versione 1.3.0 e installa solo la 1.3.1 ... Non so Perch ma li hai entrambi installati almeno secondo yaourt.. ho rimosso la 1.3.0 dai nostri repo proprio perch vecchia e dava problemi ora lo trovate solo su aur ( la nostra politica che solo i programmi che servono alle nostre iso vengono mantenuti e al momento coffekeeng che era chi lo aveva inserito per la versione sonar di manjaro non pi attivo) ..

Inviato dal mio VIE-L09 utilizzando Tapatalk

 
Manjaro Core Team

Cubanpit

  • *****
  • 1206
    • GitHub
Re:Problemi pidgin
« Risposta #2 il: Maggio 15, 2017, 08:47:15 am »
Ti consiglio di dare un'occhiata alla pagina della Manjaro Wiki in italiano relativa ad AUR, in modo da capire di cosa si tratta e come procedere nel suo utilizzo.  ;)

Ste74

  • *****
  • 775
  • sudo pacman -Rs windows && sudo pacman -S manjaro
    • Manjaro Italia
Re:Problemi pidgin
« Risposta #3 il: Maggio 15, 2017, 09:15:46 am »
Ti consiglio di dare un'occhiata alla pagina della Manjaro Wiki in italiano relativa ad AUR, in modo da capire di cosa si tratta e come procedere nel suo utilizzo.  ;)
Proprio per rendere pi consci gli utenti di cosa sia aur stiamo internamente discutendo con quale approccio affrontarlo. Al momento ho scritto uno script per aprire in automatico firefox su tre pagine della wiki manjaro e arch che spiegano cosa sia aur , un pkgbuild e un makepkg se viene rilevata la presenza di yaourt . In questo modo obblighiamo a prendere coscienza di aur spero , che non il male assoluto ma che richiede un minimo di consapevolezza ...

Inviato dal mio VIE-L09 utilizzando Tapatalk
« Ultima modifica: Maggio 15, 2017, 09:18:05 am da Ste74 »
 
Manjaro Core Team

Tony

  • **
  • 57
  • LinManjaro 16.10.3CPU: Dual core Intel Atom N570
Re:Problemi pidgin
« Risposta #4 il: Maggio 15, 2017, 03:19:44 pm »
Ciao Ste74 ho proceduto con la tua indicazione: ho disinstallato telegram-purple 1.3.0 e INSTALLATO 1.3.1 (nonostante yaourt indicasse tale versione come installata, di fatto non c'era!) e telegram riapparso ed funzionante.

Per skype ho fatto questo tentativo:
ho disinstallato il pacchetto purple-skypeweb e installato invece purple-skypeweb-git e la prova andata a buon fine e quindi anche skype funziona.

AGGIUNGO: Ho letto che Pidgin di suo non supporta pi il protocollo per yahoo (che ho usato su pidgin per molto tempo), ma ho scoperto che c' questo plugin di terze parti, che lo rimpiazzerebbe.
Questa la pagina
https://github.com/EionRobb/funyahoo-plusplus
 a quel punto ho fatto una ricerca con "yaourt funyahoo-plusplus" che per non ha dato risultati.
Nella pagina linkata prima, c' una sezione How to compile for Linux i cui comandi per ho verificato non sono compatibili con Manjaro.
DOMANDA: secondo la Vs. esperienza possibile renderli funzionanti su Manjaro per poter installare quel plugin o impossibile??

Comunque intanto grazie perch la cosa importante che adesso Pidgin funziona come deve!!

Netbook Asus Pc Eee 1215 P - Kernel Linux 4.4.63-1 - Manjaro xfce 16.10.3 64 bit - CPU:  Dual core Intel Atom N570 cache: 512 KB - clock speeds: min/max: 1000/1667 MHz- 2 Gb Ram - scheda video integrata

andy2

  • *****
  • 194
Re:Problemi pidgin
« Risposta #5 il: Maggio 15, 2017, 10:45:53 pm »
Citazione
Nella pagina linkata prima, c' una sezione How to compile for Linux i cui comandi per ho verificato non sono compatibili con Manjaro.
DOMANDA: secondo la Vs. esperienza possibile renderli funzionanti su Manjaro per poter installare quel plugin o impossibile??
Certo che possibile, basta trovare le librerie che servono a compilare. Forse potresti aiutarti esplorando gli altri pacchetti in AUR che compilano i plugin da git, magari qualcuno fa gi uso di queste librerie e cos prendi i nomi e li installi, perch non so se si chiamano proprio nello stesso modo.
O forse, dico forse, potrebbe esser possibile estrarre i file del plugin dal .DEB di Ubuntu/Debian e installarli manualmente nel programma.
« Ultima modifica: Maggio 15, 2017, 10:48:09 pm da andy2 »

Tony

  • **
  • 57
  • LinManjaro 16.10.3CPU: Dual core Intel Atom N570
Re:Problemi pidgin
« Risposta #6 il: Maggio 16, 2017, 08:21:19 pm »
Ciao andy2 grazie per la tua risposta, ma purtroppo quello che tu mi hai scritto per me quasi incomprensibile.
Quel "quasi" sta a indicare che ho compreso moooooolto in linea di massima quello che  mi hai scritto, ma non saprei proprio da dove iniziare.
Ho capito che Manjaro si distacca come filosofia, da SO quali Ubuntu e simili, da dove io provengo e le soluzioni bisogna andarsele a cercare e in qualche modo a "costruire", ma non ho una tale esperienza e dimestichezza.
Leggo e cerco moltissimo su internet, cercando di bypassare il forum pi possibile, per trovare soluzioni e risposte, ma spesso alla fine sono costretto ad arrendermi perch per quanto mi documenti, certe terminologie o procedure tecniche sono (almeno per ora) al di fuori della mia portata.
Ti faccio un piccolo esempio su cui oggi ho sbattuto la testa, non arrivandone peraltro a capo: ieri ho scritto che ero riuscito a far funzionare skype su pidgin.
Ero contento perch, provando, avevo trovato la soluzione da solo.
Bene... oggi pidgin/skype non va e continua a non andare!!
Al primo controllo (visto che non andava) ho trovato che invece del protocollo "skype" stava su quello di  "AIM" (prima domanda: come mai si "sganciato"??). Reimpostato il protocollo, l'account comunque non si abilitava.

Ho provato e riprovato anche disinstallando e reinstallando i vari plugin di skype, spegnendo e riavviando, con l'unico risultato finale, che alla fine l'account risulterebbe "abilitato" ma l'icona resta grigia e non a colori, e quindi non funziona!
Seconda domanda (forse banale): ieri andava benissimo.
Spento il pc. Passata la notte. Riacceso. Non funziona! E non vuole funzionare.
Uno - con la mia limitata esperienza - dove a questo punto, dovrebbe andarsela a cercare la risposta?
Quale ragionamento dovrebbe seguire per venirne a capo?

Sono assolutamente soddisfatto di Manjaro - e lo dico con ASSOLUTA convinzione - resto per perplesso di fronte a questi fortunatamente piccoli, ma "inspiegabili e improvvisi cambiamenti" nel funzionamento, passando da una cosa che funziona, a non pi funzionante.

So che forse non corretto, ma porto un altro esempio: in questo altro topic aperto da me, a questa pagina http://forum.manjaro-it.org/index.php?topic=878.15
ho ricevuto l'aiuto da parte di Vema in merito alla possibilit di aggiungere al tasto dx del mouse, i 2 comandi "copia in" e "sposta in"
Citazione
Citazione da: Tony - Maggio 11, 2017, 08:13:28 pm

    Fatto tutto e per il meglio seguendo i tuoi allegati.
    Ti confermo invece che non ho - anche quando seleziono file o cartelle - i due comandi "sposta in " e "copia in".
    Se hai suggerimenti li accetter ben volentieri, altrimenti grazie per tutto l'aiuto e la disponibilit!

per sposta in puoi provare il comando   mv  %F $(zenity --file-selection --directory)
per copia in   cp  -r  %F $(zenity --file-selection --directory)
in condizioni di visibilit io ho spuntato tutto

Seguito le sue istruzioni, installati provati e verificati i 2 comandi: TUTTO FUNZIONANTE ALLA GRANDE!
E io a mio modo ero felice di questa piccola ed ennesima conquista (tieni presente che sono un "giovane" sessantunenne!!).

Bene tutto funzionante... poi dopo un'ora, comincio a fare dei lavori (dovevo fare degli spostamenti di files) ma 
i 2 comandi non funzionano pi.
Provo e riprovo, elimino i comandi e li reinstallo anche pi di una volta: NIENTE, NON HANNO PI FUNZIONATO!
Ora la mie 2 solite e banali domande sono:
1) come possibile che nel giro di un'ora circa e col pc sempre acceso, una (piccola) cosa prima funzioni e poi improvvisamente non pi?
2) A quel punto uno, dove le va a mettere le mani (e non intendo in quel senso!!) per capire e risolvere??

Vabb scusate il piccolo sfogo - peraltro motivato dal cercare di capire meglio i perch di certi meccanismi - e come sempre un Grazie Di Cuore a Tutti Voi, che fate un grandissimo lavoro di sostegno, diffusione e assistenza!!
« Ultima modifica: Maggio 16, 2017, 08:57:38 pm da Tony »
Netbook Asus Pc Eee 1215 P - Kernel Linux 4.4.63-1 - Manjaro xfce 16.10.3 64 bit - CPU:  Dual core Intel Atom N570 cache: 512 KB - clock speeds: min/max: 1000/1667 MHz- 2 Gb Ram - scheda video integrata

Cubanpit

  • *****
  • 1206
    • GitHub
Re:Problemi pidgin
« Risposta #7 il: Maggio 16, 2017, 11:12:07 pm »
Mi spiace non avere consigli precisi per Pidgin ma non lo utilizzo, ho cercato sul forum internazionale di Manjaro e non ho trovato discussioni interessanti sull'argomento.

Per consolarti dalla delusione per il funzionamento salterino di alcune applicazioni includo un'immagine che rappresenta un diffuso luogo comune tra i programmatori:


Traduzione:
1: Il mio codice non funziona e non ho idea del perch.
2: Il mio codice funziona e non ho idea del perch.

Tornando alle tue domande (so che l'immagine non ti ha consolato e sicuramente non ha risolto niente), per capire come mai non funzionano i comandi personalizzati bisognerebbe fare un po' di prove e vedere quando funzionano e quando no. Magari meglio discuterne in un topic che non si chiama Problemi pidgin;)

Tony

  • **
  • 57
  • LinManjaro 16.10.3CPU: Dual core Intel Atom N570
Re:Problemi pidgin
« Risposta #8 il: Maggio 17, 2017, 06:13:41 pm »
Un saluto a Cubanpit (confermo che quanto affermano i programmatori non sia fonte di grande sollievo!!)  ;D .

Torno comunque ad aggiornare questo ormai "bizzarro" topic:

- oggi acceso pc e skype non si abilitava nemmeno (cosa che ieri almeno accadeva!)
- decido allora di provare a fare qualcosa e senza alcuna logica (questo l'ho scritto il 15 maggio sempre in questo topic)
Citazione
Per skype ho fatto questo tentativo:
ho disinstallato il pacchetto purple-skypeweb e installato invece purple-skypeweb-git e la prova andata a buon fine e quindi anche skype funziona.
decido di disinstallare purple-skypeweb-git e installare purple-skypeweb (come da screenshot)
e adesso SKYPE FUNZIONA AL 100%!!

Certo c' da dire che questo pc durante la notte, invece di "riposare", decide di reinventarsi, creando nuovi settaggi... quindi la controprova ci sar domani mattina, quando lo riaccender!!
Vedremo... nel frattempo skype continua a funzionare.  8)

P.S.: Sempre in questo topic avevo scritto
Citazione
Ho letto che Pidgin di suo non supporta pi il protocollo per yahoo (che ho usato su pidgin per molto tempo), ma ho scoperto che c' questo plugin di terze parti, che lo rimpiazzerebbe.
Questa la pagina
https://github.com/EionRobb/funyahoo-plusplus
 a quel punto ho fatto una ricerca con "yaourt funyahoo-plusplus" che per non ha dato risultati.
Nella pagina linkata prima, c' una sezione How to compile for Linux i cui comandi per ho verificato non sono compatibili con Manjaro.
DOMANDA: secondo la Vs. esperienza possibile renderli funzionanti su Manjaro per poter installare quel plugin o impossibile??

e andy2 mi aveva scritto
Citazione
Certo che possibile, basta trovare le librerie che servono a compilare. Forse potresti aiutarti esplorando gli altri pacchetti in AUR che compilano i plugin da git, magari qualcuno fa gi uso di queste librerie e cos prendi i nomi e li installi, perch non so se si chiamano proprio nello stesso modo.
O forse, dico forse, potrebbe esser possibile estrarre i file del plugin dal .DEB di Ubuntu/Debian e installarli manualmente nel programma.

Ma la risposta di andy2 purtroppo non mi ha aiutato, in quanto non sono in grado di procedere secondo le sue indicazioni non comprese : se qualcuno avr la pazienza di aiutarmi a farlo, gliene sar grato!

« Ultima modifica: Maggio 17, 2017, 06:19:51 pm da Tony »
Netbook Asus Pc Eee 1215 P - Kernel Linux 4.4.63-1 - Manjaro xfce 16.10.3 64 bit - CPU:  Dual core Intel Atom N570 cache: 512 KB - clock speeds: min/max: 1000/1667 MHz- 2 Gb Ram - scheda video integrata

andy2

  • *****
  • 194
Re:Problemi pidgin
« Risposta #9 il: Maggio 17, 2017, 06:44:18 pm »
Per il plugin, prova cos.
Scarica il .deb da qui. In teoria, i .deb dovresti poterli aprire con un semplice doppio click (oppure aprili con un estrattore tipo Engrampa).
Estrai il file data.tar.xz da qualche parte, e scompattalo a sua volta.
Dovresti trovare il file fisico del plugin (un .so), a questo punto installalo manualmente (forse basta che lo copi nella sottocartella dei plugin di pidgin?).
Se sei fortunato, e le dipendenze son rispettate, magari funziona.

Diciamo che quel plugin probabilmente non interessa a molti e quindi nessuno si preso la briga di portarlo nel repository AUR.
« Ultima modifica: Maggio 17, 2017, 06:46:45 pm da andy2 »

Tony

  • **
  • 57
  • LinManjaro 16.10.3CPU: Dual core Intel Atom N570
Re:Problemi pidgin
« Risposta #10 il: Maggio 17, 2017, 11:18:58 pm »
Ciao andy2
Dunque fino a qui
Citazione
Scarica il .deb da qui. In teoria, i .deb dovresti poterli aprire con un semplice doppio click (oppure aprili con un estrattore tipo Engrampa).
Estrai il file data.tar.xz da qualche parte, e scompattalo a sua volta.
Dovresti trovare il file fisico del plugin (un .so)
sono riuscito a capire e ad eseguire.

Ho trovato il file fisico del plugin - che sarebbe questo libyahoo-plusplus.so - ma quello che non ho capito :
- esiste una procedura specifica (dando dei comandi o altro) per installarlo?
- oppure se la procedura consiste SOLO nel copiarlo ed incollarlo, nella cartella "plugin" di .purple (che il nome relativo alla cartella che contiene tutto ci che riguarda Pidgin).


Netbook Asus Pc Eee 1215 P - Kernel Linux 4.4.63-1 - Manjaro xfce 16.10.3 64 bit - CPU:  Dual core Intel Atom N570 cache: 512 KB - clock speeds: min/max: 1000/1667 MHz- 2 Gb Ram - scheda video integrata

andy2

  • *****
  • 194
Re:Problemi pidgin
« Risposta #11 il: Maggio 18, 2017, 11:04:11 am »
Non ho idea di come installare i plugin per pidgin, di solito si copia il file del plugin nell'apposita cartella, ma ogni programma pu avere procedure diverse, controlla nel manuale che dice, oppure fai qualche prova a copiarlo nelle cartelle e vedere se te lo vede; poi magari te lo vede ma non te lo carica per problemi di compatibilit ( stato compilato per una specifica versione di librerie, che per in teoria dovrebbero esser le stesse che ci sono qui su manjaro, poi ovviamente va verificato).